iDevGames Forums
1st gen iPhone will not install OS 3.0 - Printable Version

+- iDevGames Forums (http://www.idevgames.com/forums)
+-- Forum: Development Zone (/forum-3.html)
+--- Forum: iPhone, iPad & iPod Game Development (/forum-11.html)
+--- Thread: 1st gen iPhone will not install OS 3.0 (/thread-1327.html)



1st gen iPhone will not install OS 3.0 - BeyondCloister - May 8, 2009 07:30 AM

I am unable to update my 1st gen iPhone to the latest beta version of OS 3.0.

I goes through the whole restore process and then fails near the end with one of several error numbers (so far I've had 9, 1012, 1013). Once it fails iTunes tells me the phone needs to be restored. The whole process then repeats.

Yes I do have the correct version of iTunes.
Yes I do have the correct firmware downloaded for the version of iPhone.
This is the first time I've tried to put any version of OS 3.0 on to the phone.

I have also tried doing the restore via the Organiser window in the latest version of Xcode.

I have re-downloaded the firmware incase the download process was messed up in some way but this had no effect.

I have been unable to restore it to 2.2.1 as that produces the same errors as 3.0.

Has anyone else had this problem?
Has anyone else had this problem and solved it?

Thanks.


1st gen iPhone will not install OS 3.0 - SethWillits - May 8, 2009 10:23 AM

As I update my currently-bricked-because-beta-4-expired-everyday-phone to beta 5, I hope this doesn't happen to me. Sad

Did you fire off an email to dts?


1st gen iPhone will not install OS 3.0 - BeyondCloister - May 8, 2009 10:24 AM

Not sent an email yet. Was hoping someone would have the answer to save me waiting for them to wake up due to time zone issues.


1st gen iPhone will not install OS 3.0 - Taxxodium - May 8, 2009 11:34 AM

Try http://devforums.apple.com

You may have more luck there


1st gen iPhone will not install OS 3.0 - Josh - May 8, 2009 01:22 PM

I've heard a couple different reports of the latest beta bricking 1st gen iPhones. Some of them were able to fix it by updating through iTunes instead of through Xcode but it looks like you've tried that already?


1st gen iPhone will not install OS 3.0 - EvolPenguin - May 8, 2009 04:37 PM

Guh, now I'm worried about updating my to the new beta...
Alex


1st gen iPhone will not install OS 3.0 - BeyondCloister - May 9, 2009 03:02 AM

I finally got my iPhone working again.

I had to get hold of Beta 4 and restore to that.
I then upgraded to Beta 5 and all is good.


1st gen iPhone will not install OS 3.0 - SethWillits - May 9, 2009 12:20 PM

My beta 5 update worked too.

All is good!


1st gen iPhone will not install OS 3.0 - EvolPenguin - May 9, 2009 01:08 PM

My beta 5 worked as well.
Alex